> ## Documentation Index
> Fetch the complete documentation index at: https://developer.dromo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List SFTP credentials



## OpenAPI

````yaml /api-reference/openapi.json get /headless/sftp/credentials/
openapi: 3.1.0
info:
  title: Dromo
  description: >-
    Dromo's APIs provide convenient programmatic access to your uploads and
    schemas. You can use them to create powerful automated workflows.
  termsOfService: https://dromo.io/legal/terms
  contact:
    name: Dromo
    email: contact@dromo.io
  version: '1.0'
servers:
  - url: https://app.dromo.io/api/v1
security:
  - api_key: []
tags:
  - name: uploads
    description: Viewing completed imports
  - name: import-schemas
    description: Creating and viewing import schemas
  - name: headless
    description: Creating and viewing headless imports
  - name: sftp-credentials
    description: Managing SFTP server credentials
  - name: sftp-connectors
    description: Managing SFTP automated import connectors
paths:
  /headless/sftp/credentials/:
    get:
      tags:
        - sftp-credentials
      summary: List SFTP credentials
      operationId: listSftpCredentials
      responses:
        '200':
          description: List of SFTP credentials
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    example: 2
                  next:
                    type: string
                    nullable: true
                    example: null
                  previous:
                    type: string
                    nullable: true
                    example: null
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/SftpCredential'
components:
  schemas:
    SftpCredential:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: ee5d0e45-b098-47bc-8217-e93790243dfa
          readOnly: true
        hostname:
          type: string
          example: sftp.example.com
        port:
          type: integer
          example: 22
        user:
          type: string
          example: sftpuser
        auth_type:
          type: string
          enum:
            - PASSWORD
            - KEY
          example: PASSWORD
        key_fingerprint:
          type: string
          nullable: true
          example: SHA256:abc123...
          readOnly: true
      required:
        - hostname
        - port
        - user
        - auth_type
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Dromo-License-Key
      in: header
      description: >-
        This backend API key is different than your frontend license key. Please
        use the "Backend" license key from your [Dromo
        Dashboard](https://dashboard.dromo.io/).

````